Skip to main content
GET
/
entregas
/
{id}
/
detalhes
Obter detalhes da entrega
curl --request GET \
  --url https://api-vendas.taximachine.com.br/api/v2/integracao/entregas/{id}/detalhes \
  --header 'Authorization: Basic <encoded-value>' \
  --header 'api-key: <api-key>'
{
  "success": true,
  "data": {
    "request_id": "int",
    "external_id": "string",
    "full_code": "ENUM",
    "short_code": "string(2)",
    "requested_at": "ISO8601",
    "manager": "string",
    "route_key": "string",
    "return_trip": "bool",
    "category": "string",
    "driver": {
      "id": "int",
      "name": "string",
      "phone": "string",
      "cpf": "string",
      "vtr": "string",
      "vehicle_plate": "string",
      "vehicle_model": "string"
    },
    "enterprise": {
      "id": "int",
      "name": "string"
    },
    "progress": {
      "accepted_at": "ISO8601",
      "accept_lat": "float",
      "accept_lng": "float",
      "accept_eta_seconds": "int",
      "accept_eta_km": "float",
      "accept_duration_minutes": "int",
      "accept_distance_km": "float",
      "estimated_distance_km": "float",
      "estimated_duration_minutes": "int",
      "estimated_value": "decimal",
      "pickup_arrival": "ISO8601",
      "arrival_at_surroundings": "ISO8601",
      "start_trip": "ISO8601",
      "pending_at": "ISO8601"
    },
    "finished": {
      "finished_at": "ISO8601",
      "finalized_distance_km": "float",
      "traveled_distance_km": "float",
      "stopped_time_virtual_taximeter": "int",
      "final_value": "float",
      "coupon_value": "float",
      "address": {
        "address": "string",
        "neighborhood": "string",
        "city": "string",
        "state": "string",
        "latitude": "float",
        "longitude": "float"
      }
    },
    "cancellation": [
      {
        "cancelled_at": "ISO8601",
        "cancelled_reason": "string",
        "cancelled_by": "string",
        "cancelled_by_name": "string"
      }
    ],
    "stops": [
      {
        "order": "int",
        "status": "string",
        "notes": "string",
        "client": {
          "name": "string",
          "phone": "string"
        },
        "address": {
          "address": "string",
          "complement": "string",
          "reference": "string",
          "neighborhood": "string",
          "city": "string",
          "state": "string",
          "latitude": "float",
          "longitude": "float"
        }
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

api-key
string
header
required

Obrigatório. Sua chave API.

Path Parameters

id
integer
required

ID da solicitação de entrega

Response

200 - application/json

Sucesso